This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 864600 - Mbean documentation is incomplete
Mbean documentation is incomplete
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.1.0
Assigned To: gsheldon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 13:52 EDT by Alan Santos
Modified: 2015-02-05 20:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.6 Build Filter: null Build Name: Build Date: 17-09-2012 15:39:23
Last Closed: 2013-02-17 19:13:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Santos 2012-10-09 13:52:04 EDT
Description of problem:

The description of JMX MBeans in the Admin documentation lacks a full list of all possible mbeans and does not differentiate between client/serber mode (where the manual registration is not necessary) and library.



Expected results:

A full list of mbeans, their supported operations and attributes.
Comment 4 Tomas Sykora 2012-10-31 05:54:34 EDT
Hi Gemma, 
nice and precise work!
I was browsing the code directly to prove doc.

'Big' change A.13.20: 

please see this MBean: http://docs.jboss.org/infinispan/5.2/apidocs/jmxComponents.html#XSiteAdmin
there were added new operations meanwhile, we need to include them too.

Sorry for nitpicking:
A.13.4: DefinedCacheName --> DefinedCacheNames
A.13.4: StartCache --> startCache

A.13.8: CacheName and its type is String[] (array) apidocs say only String but code really says String[] (I don't know why it is not included in apidoc? Developers should clarify this I suppose.)

A.13.16: StateTransferManager have no operations recently. I can see some TODOs inside of code. Don't know what is happening right now.
Comment 6 Tomas Sykora 2012-11-02 05:59:22 EDT
Checked, perfect! Thanks

Note You need to log in before you can comment on or make changes to this bug.